using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using SystemCommon;


namespace 顧客分析君
{
    public partial class _101起動ロゴ : Form
    {
        ////////////////////////////////////////////////////////////////////////
        // メンバ変数
        ////////////////////////////////////////////////////////////////////////
        #region メンバ変数

        public bool mb認証 = false;

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // 公開 共通メソッド 
        ////////////////////////////////////////////////////////////////////////
        #region 公開 共通メソッド

        public _101起動ロゴ()
        {
            InitializeComponent();
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // 非公開 共通メソッド
        ////////////////////////////////////////////////////////////////////////
        #region 非公開 共通メソッド

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // イベントハンドラ
        ////////////////////////////////////////////////////////////////////////
        #region イベントハンドラ

        private void _101起動ロゴ_Load(object sender, EventArgs e)
        {
            try
            {
#if 顧客分析君CRM
                pct起動ロゴ.Width = 464;
                pct起動ロゴ.Height = 274;
                pct起動ロゴ.BackgroundImage = Properties.Resources.logo1;

                lblAssemblyVersion.Text = "Version : " + Application.ProductVersion;
#endif

#if 顧客分析君2010
                this.Width = pct起動ロゴ.Width;
                this.Height = pct起動ロゴ.Height;
                timer.Interval = 2000;
                timer.Enabled = true;
#endif

                if (Environment.GetCommandLineArgs().Length > 1)
                {
                    txtスタッフID.Text = Environment.GetCommandLineArgs()[1];
                    txtパスワード.Text = Environment.GetCommandLineArgs()[2];
                }
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_101起動ロゴ", "_101起動ロゴ_Load", ex);
            }
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            try
            {
                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_101起動ロゴ", "timer_Tick", ex);
            }
        }

		private void btnログイン_Click(object sender, EventArgs e)
		{
			try
			{
				//mb認証 = C02業務共通処理.スタッフ認証(txtスタッフID.Text, txtパスワード.Text);
				mb認証 = C02業務共通処理.スタッフ認証(txtスタッフID.Text, txtパスワード.Text);

				if (mb認証 == true)
				{
					//C02業務共通処理.Insert操作履歴(this.Text, Properties.Resources.OPRT_010
					//    + "=" + txtスタッフID.Text);
					C02業務共通処理.Insert操作履歴(this.Text, Properties.Resources.OPRT_010
						+ "=" + txtスタッフID.Text);

					this.Close();
				}
				else
					MessageBox.Show(Properties.Resources.MSG_W_入力されたスタッフIDとパスワードの一致するスタッフは_登録されていません
						, this.Text, MessageBoxButtons.OK, MessageBoxIcon.Warning);
			}
			catch (Exception ex)
			{
				C04システム共通.ErrorLog("_101起動ロゴ", "btnログイン_Click", ex);
			}

		}

        private void btnキャンセル_Click(object sender, EventArgs e)
        {
            try
            {
                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_101起動ロゴ", "btnキャンセル_Click", ex);
            }
        }


        #endregion


    }
}
